#define _CRT_SECURE_NO_WARNINGS

#include <windows.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include "sysmain.h"

char debugfile[] = "debug.txt";

void Debug(char* msg, ...)
{
    FILE*	fp;
    va_list	argptr;

    if (!debugout)
        return;
    fp = fopen(debugfile, "a");
    va_start(argptr, msg);
    vfprintf(fp, msg, argptr);
    va_end(argptr);
    fclose(fp);
}

void Alert(char* msg, ...)
{
    char    buf[256];
    va_list argptr;

    va_start(argptr, msg);
    vsprintf(buf, msg, argptr);
    va_end(argptr);
    MessageBox(NULL, buf, szAppName, MB_OK);
}

void Error(char* msg, ...)
{
    char    buf[256];
    va_list argptr;

    va_start(argptr, msg);
    vsprintf(buf, msg, argptr);
    va_end(argptr);
    strcat(buf, "\nvO͏I܂");
    MessageBox(NULL, buf, szAppName, MB_OK);
    exit(0);
}