#include <windows.h>
#include "storage.h"

typedef struct
{
    float       x, y;
} point_t;

typedef	struct
{
    point_t     pt;
    float       dx, dy;
} divline_t;

typedef struct
{
    point_t     p1, p2;
    int         linedef;
    int         side;       // 0=right, 1=left side of the above linedef, -1 = invisible line
    float       offset;
    bool/*ean*/ grouped;    // internal error check
} line_t;

typedef struct bspstruct_s
{
    Storage<line_t>*        lines;      // if non NULL, the node is terminal and has no children
    divline_t               divline;		
    float                   bbox[4];    // gĂȂ
    struct	bspstruct_s*    side[2];
} bspnode_t;

// MAXINTMININTbasetsd.hŊɒ`Ă
#define _MAXINT  0x7FFFFFFF
//#define MININT  0x80000000

#define MAX(a,b) ( (a) > (b) ) ? (a) : (b)
#define MIN(a,b) ( (a) < (b) ) ? (a) : (b)

int PointOnSide(point_t* p, divline_t* l);
BOOL ClosePoints(point_t* p1, point_t* p2);
int LineOnSide(line_t* wl, divline_t* bl);
void DivlineFromWorldline(divline_t* d, line_t* w);
void BuildBSP(void);

extern bspnode_t*   startnode;
