#include <stdlib.h>

template <class T> class Storage
{
    int c;
    T*  p;

public:
    Storage(void) 
    {
        c = 0;
        p = (T *)malloc(sizeof(T));
    }

    ~Storage() { free(p); }

    int count(void) { return c; }

    void addElement(T* e) 
    {
        p = (T *)realloc(p, sizeof(T)*(c+1));
        p[c++] = *e;
    }

    T* elementAt(int i) 
    {
        if (i >= c || i < 0)
            return NULL;
        return &p[i];
    }
};
