#include "wad.h"

typedef enum
{
    tg_playerstart,
    tg_enemy,
    tg_weapon,
    tg_ammunition,
    tg_powerup,
    tg_key,
    tg_decoration,
    tg_victim,
    //tg_noblockvictim,
    tg_corpse,
    tg_spot,
    NUMTGROUPS

} tgroup_t;

typedef struct
{
    int         type;
    char*       spritename;
    patch_t*    spritedata;
    char*       description;
    tgroup_t    group;
    int         radius;

} thingdef_t;

extern char* tgroupnames[];
extern thingdef_t thingdefs[];

int GetNumThingdefs(void);